import httpRequest from '@/utils/axios'

/**
 * 获取学员列表
 */
export function getStudentList(params) {
  return httpRequest.get('/api/zy-admin/school/student/list', { params })
}

/**
 * 获取学员详情
 */
export function getStudentDetail(params) {
  return httpRequest.get('/api/zy-admin/school/student/view', { params })
}

/**
 * 学员添加
 */
export function createStudent(data) {
  return httpRequest.post('/api/zy-admin/school/student/add', data)
}

/**
 * 学员更新
 */
export function updateStudent(data) {
  return httpRequest.post('/api/zy-admin/school/student/update', data)
}

/**
 * 学员导入
 */

export function importStudent(data) {
  return httpRequest({
    url: '/api/zy-admin/school/student/import',
    method: 'post',
    headers: { 'Content-Type': 'multipart/form-data' },
    timeout: 900000,
    data,
    withCredentials: true
  })
}
/**
 * 学员列表下载
 */
export function downStuList(params) {
  return httpRequest.get('/api/zy-admin/school/student/download', { params })
}

/**
 * 学员删除
 */
export function deleteStudent(data) {
  return httpRequest.post('/api/zy-admin/school/student/delete', data)
}
